Bug 60688

Summary: [Qt] Arm debug build failing on ARMAssembler::debugOffset()
Product: WebKit Reporter: Keith Kyzivat <kamaji>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, ademar, barraclough, commit-queue, eric, jturcotte, laszlo.gombos, ossy, webkit.review.bot
Priority: P3    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Patch none

Description Keith Kyzivat 2011-05-11 21:39:50 PDT
ARM debug builds that include ARMAssembler.h fail to find symbol m_formatter:

../../../webkit/Source/JavaScriptCore/assembler/ARMAssembler.h:686:41: error: 'm_formatter' was not declared in this scope

m_formatter isn't declared anywhere visible to ARMAssembler.h
I do see that this was originally declared in ARMv7Assembler.h, with a similar debugOffset() method using it.. This has been since replaced with a call to m_buffer.debugOffset().

I'm not too familiar with this code, so I'm not sure what exactly the right thing to do is.
Comment 1 Keith Kyzivat 2011-05-11 22:00:38 PDT
Created attachment 93243 [details]
Patch
Comment 2 Keith Kyzivat 2011-05-11 22:02:16 PDT
Patch builds without error -- and looks like the right thing to do when comparing to what ARMv7Assembler.h.
Comment 3 Csaba Osztrogon√°c 2011-05-11 23:32:18 PDT
Comment on attachment 93243 [details]
Patch

LGTM, r=me
Comment 4 WebKit Commit Bot 2011-05-12 00:31:55 PDT
Comment on attachment 93243 [details]
Patch

Clearing flags on attachment: 93243

Committed r86316: <http://trac.webkit.org/changeset/86316>
Comment 5 WebKit Commit Bot 2011-05-12 00:32:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 WebKit Review Bot 2011-05-12 01:27:58 PDT
http://trac.webkit.org/changeset/86316 might have broken Leopard Intel Debug (Tests)
The following tests are not passing:
editing/deleting/delete-ligature-001.html
editing/deleting/delete-ligature-002.html
editing/deleting/delete-ligature-003.html
platform/mac/editing/input/devanagari-ligature.html
Comment 7 Ademar Reis 2011-05-13 11:58:03 PDT
Revision r86316 cherry-picked into qtwebkit-2.2 with commit b718e0e <http://gitorious.org/webkit/qtwebkit/commit/b718e0e>